
From: Mikael Pettersson <mikpe@csd.uu.se>

Perfctr sysfs update part 4/4:
- Remove sys_perfctr_info() from ppc32.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/misc.S   |    3 +--
 25-akpm/include/asm-ppc/unistd.h |   13 ++++++-------
 2 files changed, 7 insertions(+), 9 deletions(-)

diff -puN arch/ppc/kernel/misc.S~perfctr-sysfs-update-4-4-ppc32 arch/ppc/kernel/misc.S
--- 25/arch/ppc/kernel/misc.S~perfctr-sysfs-update-4-4-ppc32	2005-03-10 03:31:23.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/misc.S	2005-03-10 03:32:02.000000000 -0800
@@ -1453,8 +1453,7 @@ _GLOBAL(sys_call_table)
 	.long sys_waitid
 	.long sys_ioprio_set
 	.long sys_ioprio_get
-	.long sys_perfctr_info		/* 275 */
-	.long sys_vperfctr_open
+	.long sys_vperfctr_open		/* 275 */
 	.long sys_vperfctr_control
 	.long sys_vperfctr_unlink
 	.long sys_vperfctr_iresume
diff -puN include/asm-ppc/unistd.h~perfctr-sysfs-update-4-4-ppc32 include/asm-ppc/unistd.h
--- 25/include/asm-ppc/unistd.h~perfctr-sysfs-update-4-4-ppc32	2005-03-10 03:31:23.000000000 -0800
+++ 25-akpm/include/asm-ppc/unistd.h	2005-03-10 03:32:33.000000000 -0800
@@ -279,14 +279,13 @@
 #define __NR_waitid		272
 #define __NR_ioprio_set		273
 #define __NR_ioprio_get		274
-#define __NR_perfctr_info	275
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_open	275
+#define __NR_vperfctr_control	(__NR_vperfctr_open+1)
+#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
+#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
 
-#define __NR_syscalls		281
+#define __NR_syscalls		280
 
 #define __NR(n)	#n
 
_
